Package io.flutter.embedding.engine.systemchannels

## Interface AccessibilityChannel.AccessibilityMessageHandler

- All Superinterfaces:
    `FlutterJNI.AccessibilityDelegate`
  Enclosing class:
    AccessibilityChannel

      public static interface AccessibilityChannel.AccessibilityMessageHandler
      extends FlutterJNI.AccessibilityDelegate

  Handler that receives accessibility messages sent from Flutter to Android through a given `AccessibilityChannel`.

  To register an `AccessibilityMessageHandler` with a `AccessibilityChannel`, see `AccessibilityChannel.setAccessibilityMessageHandler(AccessibilityMessageHandler)`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `announce​(String message)` | The Dart application would like the given `message` to be announced.
    `void` | `onFocus​(int nodeId)` | The framework has requested focus on the semantics node with the given `nodeId`.
    `void` | `onLongPress​(int nodeId)` | The user has long pressed on the semantics node with the given `nodeId`.
    `void` | `onTap​(int nodeId)` | The user has tapped on the semantics node with the given `nodeId`.
    `void` | `onTooltip​(String message)` | The user has opened a tooltip.

    - ### Methods inherited from interface io.flutter.embedding.engine.FlutterJNI.AccessibilityDelegate

      `updateCustomAccessibilityActions, updateSemantics`

- - ### Method Detail

    - #### announce

          void announce​(@NonNull
                        String message)

      The Dart application would like the given `message` to be announced.

    - #### onTap

          void onTap​(int nodeId)

      The user has tapped on the semantics node with the given `nodeId`.

    - #### onLongPress

          void onLongPress​(int nodeId)

      The user has long pressed on the semantics node with the given `nodeId`.

    - #### onFocus

          void onFocus​(int nodeId)

      The framework has requested focus on the semantics node with the given `nodeId`.

    - #### onTooltip

          void onTooltip​(@NonNull
                         String message)

      The user has opened a tooltip.